Bug 61292 - quota doesnt work if account contains only numbers
Summary: quota doesnt work if account contains only numbers
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: quota   
(Show other bugs)
Version: 7.2
Hardware: i686
OS: Linux
high
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-16 05:21 UTC by Need Real Name
Modified: 2007-03-27 03:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-16 05:21:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-03-16 05:21:20 UTC
From Bugzilla Helper:

User-Agent: Mozilla/4.0 (compatible; MSIE 5.12; Mac_PowerPC)



Description of problem:

If you have user account which only contains numbers, forexample login 
is 67369 then quota will not work with that user, if there is letters in 
account it will work, if login is x67369 quota works fine. 



Version-Release number of selected component (if applicable):

quota-3.01pre9-3



How reproducible:

Always



Steps to Reproduce:

1.make user account which only has numbers, like 67369

2. edquota, quotacheck , quotaon

3. repquota, it says that user 67369 has no quota, and that user can use 
diskspace as much he/she wants

4. make user account which has numbers and letters, like x67369

5. do that quota stuff

6. and quota works fine with that user 

	



Additional info:

Kernel version is 2.4.9-31smp

Comment 1 Phil Copeland 2002-05-09 19:57:52 UTC
While there is no hard literature standard out there that says it, pure number
userid's are not supported. Never have been.

Phil
=--=



Note You need to log in before you can comment on or make changes to this bug.